## libxml2 2.9.4+dfsg1

=== debian/changelog ===
libxml2 (2.9.4+dfsg1-6.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{rules,control}: Drop dep on libicu-dbg, icu59 doesn't ship it.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Jan 2018 10:35:09 +0100

libxml2 (2.9.4+dfsg1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Out-of-bounds read in htmlParseTryOrFinish (CVE-2017-8872)
    (Closes: #862450)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 02 Jan 2018 08:59:03 +0100

libxml2 (2.9.4+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * d/watch: bump to version 4, wrap lines, and limit matching to released
    stable versions.
  * Drop libxml2-udeb.  The package has been broken in Ubuntu for a while
    already, and nobody seems to care anyway.
  * d/copyright: Rewrite using copyright-format 1.0.
  * Employ automatic upstream tarball repacking.
  * Bump debhelper compat level to 11.
  * Remove old upgrade code dealing with symlinks-to-dir in /usr/share/doc.
  * d/control:
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Set Rules-Requires-Root: no.
    + Move from the deprecated priority:extra to priority:optional also for the
      -dbg packages.
    + Lower the priority of the libxml2 package to optional.
      Since Policy 4.0.1 library packages should not have a priority higher
      than optional.  See #886039 for the override change.
  * d/rules:
     + Stop installing the TODO files.
     + Install the AUTHORS and README files only on the main libxml2 binary.
     + Workaround debhelper bug #886037 by reshuffling the dh_strip calls.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 02 Jan 2018 00:54:05 +0100

libxml2 (2.9.4+dfsg1-5.2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{rules,control}: Drop dep on libicu-dbg, icu59 doesn't ship it.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Dec 2017 19:20:37 +0100

libxml2 (2.9.4+dfsg1-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix XPath stack frame logic (CVE-2017-15412) (Closes: #883790)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 14 Dec 2017 20:36:07 +0100

libxml2 (2.9.4+dfsg1-5.1ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/{rules,control}: Drop dep on libicu-dbg, icu59 doesn't ship it.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 27 Nov 2017 10:26:16 +0100

libxml2 (2.9.4+dfsg1-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix NULL pointer deref in xmlDumpElementContent (CVE-2017-5969)
    (Closes: #855001)
  * Check for integer overflow in memory debug code (CVE-2017-5130)
    (Closes: #880000)
  * Fix copy-paste errors in error messages
  * python: remove single use of _PyVerify_fd (Closes: #878684)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 18 Nov 2017 16:39:04 +0100

libxml2 (2.9.4+dfsg1-5ubuntu2) bionic; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:54:26 +0000

libxml2 (2.9.4+dfsg1-5ubuntu1) bionic; urgency=medium

  * debian/{rules,control}: Drop dep on libicu-dbg, icu59 doesn't ship it.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 26 Oct 2017 01:32:39 -0600

libxml2 (2.9.4+dfsg1-5) unstable; urgency=medium

  * Team upload.
  * d/control: Bump Standards-Version to 4.1.1, no changes needed.
  * d/rules:
    + Use `rename` instead of `prename`, and separate the -v and -f options.
      Closes: #876308
    + Fix usage of debhelper's -N and -p options: newer debhelper doesn't
      accept specifying packages not present in d/control.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 15 Oct 2017 02:18:26 +0200

libxml2 (2.9.4+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Drop Recommends: xml-core from libxml2.
    xml-core is not really needed by anything, and packages needing it
    already depend on it.  Closes: #869744
    Thanks to Adam Borowski <kilobyte@angband.pl> for proposing it.
  * Run wrap-and-sort.
  * Add Build-Depends on rename.  Closes: #874211
  * Bump Standards-Version to 4.1.0:
    + keep debug packages priority to extra as they are special cased by tools.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 04 Sep 2017 11:46:04 +0200

libxml2 (2.9.4+dfsg1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Increase buffer space for port in HTTP redirect support (CVE-2017-7376)
    Incorrect limit was used for port values. (Closes: #870865)
  * Prevent unwanted external entity reference (CVE-2017-7375)
    Missing validation for external entities in xmlParsePEReference.
    (Closes: #870867)
  * Fix handling of parameter-entity references (CVE-2017-9049, CVE-2017-9050)
    - Heap-based buffer over-read in function xmlDictComputeFastKey
      (CVE-2017-9049).
    - Heap-based buffer over-read in function xmlDictAddString
      (CVE-2017-9050).
    (Closes: #863019, #863018)
  * Fix buffer size checks in xmlSnprintfElementContent (CVE-2017-9047,
    CVE-2017-9048)
    - Buffer overflow in function xmlSnprintfElementContent (CVE-2017-9047).
    - Stack-based buffer overflow in function xmlSnprintfElementContent
      (CVE-2017-9048).
    (Closes: #863022, #863021)
  * Fix type confusion in xmlValidateOneNamespace (CVE-2017-0663)
    Heap buffer overflow in xmlAddID. (Closes: #870870)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 Aug 2017 06:56:40 +0200

libxml2 (2.9.4+dfsg1-3) unstable; urgency=medium

  * Team upload.

  [ Mattia Rizzolo ]
  * d/control:
    + Use HTTPS in Vcs-* fields.
    + Remove the deprecated '${python:Provides}' and '${python3:Provides}'.
    + Bump Standards-Version to 4.0.0, no changes needed.
  * Build for all supported python versions.  Closes: #864328
    Thanks to YunQiang Su <wzssyqa@gmail.com> for the initial patch.
  * Drop libxml-utils-dbg package in favour of the automatic debug package.

