## libxml2 2.9.4.6+dfsg1

=== debian/changelog ===
libxml2 (2.9.4.6+dfsg1-7.1+dde) unstable; urgency=medium

  * fix CVE-2022-23308.
  * 

 -- xinpeng wang <wangxinpeng@uniontech.com>  Tue, 01 Mar 2022 11:17:48 +0800

libxml2 (2.9.4.6+dfsg1-7+deb10u2.1) unstable; urgency=medium

  * update changelog.

 -- Heng Liu <liuhenga@uniontech.com>  Wed, 23 Jun 2021 10:52:31 +0800

libxml2 (2.9.4+dfsg1-7+deb10u2) buster; urgency=medium

  * Non-maintainer upload.
  * Fix out-of-bounds read with 'xmllint --htmlout' (CVE-2020-24977)
    (Closes: #969529)
  * Fix use-after-free with `xmllint --html --push` (CVE-2021-3516)
    (Closes: #987739)
  * Validate UTF8 in xmlEncodeEntities (CVE-2021-3517) (Closes: #987738)
  * Fix user-after-free with `xmllint --xinclude --dropdtd` (CVE-2021-3518)
    (Closes: #987737)
  * Propagate error in xmlParseElementChildrenContentDeclPriv (CVE-2021-3537)
    (Closes: #988123)
  * Patch for security issue CVE-2021-3541 (Closes: #988603)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 11 Jun 2021 18:57:11 +0200

libxml2 (2.9.4+dfsg1-7+deb10u1) buster; urgency=medium

  * CVE-2017-18258 (Closes: #895245)
  * CVE-2018-14404 (Closes: #901817)
  * CVE-2018-14567
  * CVE-2019-19956
  * CVE-2019-20388 (Closes: #949583)
  * CVE-2020-7595  (Closes: #949582)

 -- Moritz Mühlenhoff <moritz@debian.org>  Fri, 06 Nov 2020 18:35:40 +0100

libxml2 (2.9.4+dfsg1-7) unstable; urgency=medium

  * Team upload.
  * drop automatically generated dependency on (non-existing) libicu60-dbg
    from libxm2-dbg (closes: #900113)

 -- Rene Engelhard <rene@debian.org>  Sat, 26 May 2018 10:03:44 +0000
