## libxml2 2.9.4.6.2

=== debian/changelog ===
libxml2 (2.9.4.6.2-1+dde) unstable; urgency=medium

  * fix CVE-2022-29824
  * Fix integer overflows in xmlBuf and xmlBuffer

 -- liaoyuan <liaoyuan@uniontech.com>  Wed, 28 Sep 2022 18:47:45 +0800

libxml2 (2.9.4.6.1-1+dde) unstable; urgency=medium

  * just up version.
  * 

 -- xinpeng wang <wangxinpeng@uniontech.com>  Fri, 11 Mar 2022 16:41:35 +0800
