## libxml2 2.9.4.6.3

=== debian/changelog ===
libxml2 (2.9.4.6.3-deepin1) unstable; urgency=medium

  * fix CVE-2022-40303 CVE-2022-40304.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 09 Nov 2022 20:24:40 +0800
