## libxml2 2.9.8+dfsg

=== debian/changelog ===
libxml2 (2.9.8+dfsg-1) experimental; urgency=medium

  * Team upload.

  [ Rene Engelhard ]
  * New upstream version 2.9.8+dfsg.
  * Update Vcs-* to salsa.debian.org.

  [ Mattia Rizzolo ]
  * d/libxml2.symbols:
    + Remove removed symbols xmlNop@Base (no users found anywhere).
    + Add two new symbols.
  * Refresh patches.
    + Drop the Python 3.6 compatibility patch, upstreamed.
  * d/copyright: Update.
  * d/control: Bump Standards-Version to 4.2.1, no changes needed.
  * d/rules: Bump shlibs version.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 Oct 2018 16:45:11 +0200

libxml2 (2.9.7+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.9.7+dfsg.  Closes: #882074
    + Infinite recursion in parameter entities.  CVE-2017-16932; Closes: #882613
    + Double entity expansion;  Closes: #836698
  * Refresh patches.
  * Refresh symbols.
  * Stop installing /usr/bin/xml2-config.
    Packages should just use pkg-config instead.
  * Remove the libxml2-dbg package, in favour of automatic debug package.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 03 Jan 2018 18:15:18 +0100
