=== debian/control ===
--- 
+++ 
@@ -21,11 +21,11 @@
  python3-all-dev:any (>= 3.5) <!nopython>,
  rename,
  zlib1g-dev | libz-dev,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: http://xmlsoft.org
-Vcs-Git: https://anonscm.debian.org/git/debian-xml-sgml/libxml2.git
-Vcs-Browser: https://anonscm.debian.org/git/debian-xml-sgml/libxml2.git
+Vcs-Git: https://salsa.debian.org/xml-sgml-team/libxml2.git -b experimental
+Vcs-Browser: https://salsa.debian.org/xml-sgml-team/libxml2
 
 Package: libxml2
 Architecture: any
@@ -86,23 +86,6 @@
  Install this package if you wish to develop your own programs using
  the GNOME XML library.
 
-Package: libxml2-dbg
-Architecture: any
-Section: debug
-Depends:
- libxml2 (= ${binary:Version}),
- ${misc:Depends},
-Multi-Arch: same
-Description: Debugging symbols for the GNOME XML library
- XML is a metalanguage to let you design your own markup language.
- A regular markup language defines a way to describe information in
- a certain class of documents (eg HTML). XML lets you define your
- own customized markup languages for many classes of document. It
- can do this because it's written in SGML, the international standard
- metalanguage for markup languages.
- .
- This package provides the debugging symbols for the library.
-
 Package: libxml2-doc
 Architecture: all
 Section: doc
@@ -146,9 +129,9 @@
 Build-Profiles: <!nopython>
 Section: debug
 Depends:
- python-dbg,
  python-libxml2 (= ${binary:Version}),
  ${misc:Depends},
+ ${python:Depends},
  ${shlibs:Depends},
 Description: Python bindings for the GNOME XML library (debug extension)
  XML is a metalanguage to let you design your own markup language.
@@ -187,9 +170,9 @@
 Section: debug
 Multi-Arch: same
 Depends:
- python3-dbg,
  python3-libxml2 (= ${binary:Version}),
  ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: Python3 bindings for the GNOME XML library (debug extension)
  XML is a metalanguage to let you design your own markup language.
