=== debian/rules ===
--- 
+++ 
@@ -104,20 +104,19 @@
 ifneq (,$(filter python3-libxml2-dbg,$(DOPACKAGES)))
 	dh_install -ppython3-libxml2-dbg --sourcedir=debian/tmp-dbg
 endif
-	sed -i -e 's,/lib/$(DEB_HOST_MULTIARCH),/lib,' debian/libxml2-dev/usr/bin/xml2-config
 
 override_dh_strip:
-	dh_strip -plibxml2 -plibxml2-dev --dbg-package=libxml2-dbg
-	dh_strip -plibxml2-utils
 ifneq (,$(filter python-libxml2 python-libxml2-dbg,$(DOPACKAGES)))
 	dh_strip -ppython-libxml2 --dbg-package=python-libxml2-dbg
 endif
 ifneq (,$(filter python3-libxml2 python3-libxml2-dbg,$(DOPACKAGES)))
 	dh_strip -ppython3-libxml2 --dbg-package=python3-libxml2-dbg
 endif
+	# Do not strip the python*-*-dbg packages, the python-dbg interpreter likes them
+	dh_strip --remaining-packages -Npython-libxml2-dbg -Npython3-libxml2-dbg
 
 override_dh_makeshlibs:
-	dh_makeshlibs -a -V 'libxml2 (>= 2.7.4)' -- -c4
+	dh_makeshlibs -a -V 'libxml2 (>= 2.9.8)' -- -c4
 
 %:
 	dh $@ \
