## libxml2 2.9.9+dfsg

=== debian/changelog ===
libxml2 (2.9.9+dfsg-1+0~20200226.5+debian8~1.gbp3b6674) experimental; urgency=medium

  ** SNAPSHOT build @3b66743fdc63a8559aeed56d03f7883a890e357b **

  * Revert "Bump debhelper compat level to 11."
  * Revert "Bump debhelper compat level to 10"
  * Fixup the manpages path for debhelper <= 10
  * Revert "Fix build after removing xml2-config"
  * Revert "Stop installing /usr/bin/xml2-config.  Packages should just use pkg-config instead"
  * Revert "Improve build profiles support"
  * Run wrap-and-sort -sat
  * Drop hard requirement for python3 >= 3.5 for Jessie backport

 -- Ondřej Surý <ondrej@sury.org>  Wed, 26 Feb 2020 14:08:34 +0100

libxml2 (2.9.9+dfsg-1) experimental; urgency=medium

  * New upstream version 2.9.9+dfsg
  * Remove CVE-2017-8872 patch merged upstream
  * Update libxml2.symbols

 -- Ondřej Surý <ondrej@sury.org>  Thu, 06 Jun 2019 10:32:48 +0200
