=== debian/control ===
--- 
+++ 
@@ -6,19 +6,21 @@
  Aron Xu <aron@debian.org>,
  YunQiang Su <wzssyqa@gmail.com>,
 Build-Depends:
- debhelper (>= 11),
+ autotools-dev,
+ debhelper (>= 9),
+ dh-autoreconf,
  dh-python <!nopython>,
  libicu-dev,
  liblzma-dev,
- libpython-all-dbg <!nopython>,
- libpython-all-dev <!nopython>,
- libpython3-all-dbg <!nopython>,
- libpython3-all-dev <!nopython>,
+ libpython-all-dbg,
+ libpython-all-dev,
+ libpython3-all-dbg,
+ libpython3-all-dev,
  pkg-config,
- python-all-dbg:any <!nopython>,
- python-all-dev:any (>= 2.7.5-5~) <!nopython>,
- python3-all-dbg:any <!nopython>,
- python3-all-dev:any (>= 3.5) <!nopython>,
+ python-all-dbg:any,
+ python-all-dev:any (>= 2.7.5-5~),
+ python3-all-dbg:any,
+ python3-all-dev:any,
  rename,
  zlib1g-dev | libz-dev,
 Standards-Version: 4.2.1
@@ -107,7 +109,6 @@
 
 Package: python-libxml2
 Architecture: any
-Build-Profiles: <!nopython>
 Section: python
 Depends:
  ${misc:Depends},
@@ -126,7 +127,6 @@
 
 Package: python-libxml2-dbg
 Architecture: any
-Build-Profiles: <!nopython>
 Section: debug
 Depends:
  python-libxml2 (= ${binary:Version}),
@@ -146,7 +146,6 @@
 
 Package: python3-libxml2
 Architecture: any
-Build-Profiles: <!nopython>
 Section: python
 Multi-Arch: same
 Depends:
@@ -166,7 +165,6 @@
 
 Package: python3-libxml2-dbg
 Architecture: any
-Build-Profiles: <!nopython>
 Section: debug
 Multi-Arch: same
 Depends:
