=== debian/rules ===
--- 
+++ 
@@ -1,20 +1,12 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
 
-DOPACKAGES = $(shell dh_listpackages)
-
-ifneq (,$(filter python-libxml2 python-libxml2-dbg,$(DOPACKAGES)))
 # The versions of python currently supported
 PYVERS=$(shell pyversions -s)
-else
-PYVERS=
-endif
-ifneq (,$(filter python3-libxml2 python3-libxml2-dbg,$(DOPACKAGES)))
-# The versions of python3 currently supported
 PY3VERS=$(shell py3versions -s)
-else
-PY3VERS=
-endif
+# The current default version of python
+PYVER=$(shell pyversions -d)
+PY3VER=$(shell py3versions -d)
 
 export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export DEB_CFLAGS_MAINT_APPEND = -Wall -O3
@@ -25,7 +17,7 @@
 
 TARGETS := main $(PYVERS) $(PYVERS:%=%-dbg) $(PY3VERS) $(PY3VERS:%=%-dbg)
 
-CONFIGURE_FLAGS := --disable-silent-rules --with-history --cache-file="$(CURDIR)/builddir/config.cache"
+CONFIGURE_FLAGS := --disable-silent-rules --with-history CC="$(CC)" CFLAGS="$(CFLAGS)" CPPFLAGS="$(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" --cache-file="$(CURDIR)/builddir/config.cache"
 
 override_dh_auto_configure: $(TARGETS:%=doconfigure-%)
 
@@ -100,16 +92,13 @@
 	dh_install -Npython-libxml2-dbg -Npython3-libxml2-dbg
 ifneq (,$(filter python-libxml2-dbg,$(DOPACKAGES)))
 	dh_install -ppython-libxml2-dbg --sourcedir=debian/tmp-dbg
-endif
-ifneq (,$(filter python3-libxml2-dbg,$(DOPACKAGES)))
 	dh_install -ppython3-libxml2-dbg --sourcedir=debian/tmp-dbg
 endif
+	sed -i -e 's,/lib/$(DEB_HOST_MULTIARCH),/lib,' debian/libxml2-dev/usr/bin/xml2-config
 
 override_dh_strip:
 ifneq (,$(filter python-libxml2 python-libxml2-dbg,$(DOPACKAGES)))
 	dh_strip -ppython-libxml2 --dbg-package=python-libxml2-dbg
-endif
-ifneq (,$(filter python3-libxml2 python3-libxml2-dbg,$(DOPACKAGES)))
 	dh_strip -ppython3-libxml2 --dbg-package=python3-libxml2-dbg
 endif
 	# Do not strip the python*-*-dbg packages, the python-dbg interpreter likes them
@@ -120,5 +109,8 @@
 
 %:
 	dh $@ \
+		--parallel \
+		--with autoreconf \
+		--with autotools_dev \
 		$(if $(filter python-libxml2 python-libxml2-dbg,$(DOPACKAGES)),--with python2) \
 		$(if $(filter python3-libxml2 python3-libxml2-dbg,$(DOPACKAGES)),--with python3)
